unit uPluginPedidosMontaje;

interface

uses
  uModuleController, uInterfaces, uHostManager, Menus, Classes, ActnList,
  ImgList, Controls, PngImageList;

type
  IMCPedidosMontaje = interface(IInterface)
  ['{6766080D-4913-4589-B242-C821F4D90996}']
  end;

  TPluginPedidosMontaje = class(TModuleController, IMCPedidosMontaje)
    actPedidosMontaje: TAction;
    ExtraImages: TPngImageList;
    LargeImages: TPngImageList;
    MainMenu: TMainMenu;
    ModuleActionList: TActionList;
    SmallImages: TPngImageList;
    Ventas1: TMenuItem;
    Facturasdecliente1: TMenuItem;
    N1: TMenuItem;
    procedure actPedidosMontajeExecute(Sender: TObject);
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
  end;

implementation
{$R *.dfm}

uses
  uPedidosMontajeController, uBizPedidosMontaje, uPedidosMontajeViewRegister;

function GetModule : TModuleController;
begin
  Result := TPluginPedidosMontaje.Create(NIL);
end;

exports
  GetModule name GET_MODULE_FUNC;

procedure TPluginPedidosMontaje.actPedidosMontajeExecute(Sender: TObject);
var
  APedidosMontajeController : IPedidosMontajeController;
  APedidosMontaje : IBizPedidoMontaje;

begin
  APedidosMontajeController := TPedidosMontajeController.Create;
  APedidosMontaje := (APedidosMontajeController.BuscarTodos as IBizPedidoMontaje);
  APedidosMontajeController.VerTodos(APedidosMontaje);
end;

constructor TPluginPedidosMontaje.Create(AOwner: TComponent);
begin
  inherited;
  uPedidosMontajeViewRegister.RegisterViews;
end;

destructor TPluginPedidosMontaje.Destroy;
begin
  uPedidosMontajeViewRegister.UnregisterViews;
  inherited;
end;

initialization
  RegisterModuleClass(TPluginPedidosMontaje);

finalization
  UnRegisterModuleClass(TPluginPedidosMontaje);

end.
